%define libdaemonver 0.8

Summary:	Detect and perform actions when an ethernet cable is (un)plugged
Name:		ifplugd
Version: 	0.28
Release: 	2mdk
Source0:	http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.bz2
Source1:	http://0pointer.de/lennart/projects/libdaemon/libdaemon-%{libdaemonver}.tar.bz2
Patch0:		ifplugd-0.28-exit-status.patch.bz2
Patch1:		ifplugd-0.28-force-up-on-error.patch.bz2
Patch2:		ifplugd-0.28-startup.patch.bz2
License:	GPL
Group:		System/Configuration/Networking
URL:		http://0pointer.de/lennart/projects/ifplugd/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	doxygen lynx pkgconfig libdaemon-devel

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%prep
%setup -q -a1
%patch0 -p1 -b .exit-status
%patch1 -p1 -b .force-up-on-error
%patch2 -p1 -b .startup

perl -p -i -e 's@/usr/local@@' man/*.[58]

%build
cd libdaemon-%{libdaemonver}
%configure2_5x
%make
rm -f src/.libs/*.so*
cd ..
ln -s $PWD/libdaemon-%{libdaemonver}/src libdaemon
export PKG_CONFIG_PATH=$PWD/libdaemon-%{libdaemonver}
export CPPFLAGS=-I.
export LDFLAGS=-L$PWD/libdaemon-%{libdaemonver}/src/.libs
%configure2_5x	--sbindir=/sbin
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ifplugd
#mv $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/README doc/NEWS doc/README.html doc/style.css LICENSE
/sbin/ifplugd
/sbin/ifplugstatus
%{_mandir}/man?/ifplugd*
%{_mandir}/man?/ifplugstatus*
%dir %{_sysconfdir}/ifplugd
%config(noreplace) %{_sysconfdir}/ifplugd/ifplugd.conf
%{_sysconfdir}/ifplugd/ifplugd.action

%changelog
* Thu Jun 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.28-2mdk
- Fix buildrequires

* Fri Jun 17 2005 Olivier Blin <oblin@mandriva.com> 0.28-1mdk
- 0.28
- libdaemon 0.8
- rediff Patch0, Patch1, Patch2

* Wed Feb  2 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.26-2mdk
- fixed normal startup return code (patch0)

* Sun Dec 19 2004 Mandrakelinux Team <http://www.mandrakeexpert.com> 0.26-1mdk
- New release 0.26

* Sat May 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25-1mdk
- 0.25

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.24-1mdk
- 0.24
- libdaemon 0.6
- updated url
- regenerate P2
- fix buildrequires

* Wed Jan 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.21b-1mdk
- libdaemon 0.4
- 0.21b: better compatibility with wireless devices, compatibility with newer kernels

* Thu Dec 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-1mdk
- new release
- use libdaemonver-0.3
- redo patches 0, 1 and 2

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-1mdk
- new release
- rediff patch 0

* Wed Aug 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.15-4mdk
- corrected startup sequence to prevent a bug when called from hotplug
- corrected patch1

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.15-3mdk
- yet another buildrequires darn it

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.15-2mdk
- drop Prefix tag
- buildrequires
- macroize
- pass sbindir to configure so we don't have to move it after install
- own %%{_sysconfdir}/ifplugd

* Mon Jul  7 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.15-1mdk
- 0.15

* Mon Mar  3 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.13-3mdk
- corrected handling of error case.

* Mon Feb 10 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.13-2mdk
- corrected exit status to conform to Un*x standard

* Sat Feb  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.13-1mdk
- 0.13
- removed patch2 (integrated upstream)

* Sat Feb  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.12-4mdk
- corrected patch2 with author's feedback

* Fri Jan 24 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.12-3mdk
- corrected log management

* Thu Jan 16 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.12-2mdk
- on unsupported cards, force ifup

* Tue Jan 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.12-1mdk
- initial Mandrake Linux packaging

# end of file
